﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">

            <h1 ng-if="MC.stateParams.Type=='register'">
                Offline Register
            </h1>
            <h1 ng-if="MC.stateParams.Type=='Waitlist'">
                Add To Waitlist
            </h1>
        </div>
        <div class="actions">
            <a ng-click='addUser()' class="action on-left-more" data-toggle="tooltip" data-placement="bottom" title="Add New Family">
                <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
            </a>
        </div>
       
    </div>
    <div class="clearfix"></div>
    <hr />
    <form novalidate="" ng-submit="search()">
        <label for="searchTerm">Find existing user</label>
        <div class="input-control text" data-role="input-control">

            <div class="place-left input-control select one-third padding-right10">
                <select ng-model="SearchType" ng-change="searchTerm = ''; firstName=''; lastName='';"
                        ng-options="obj.Value as obj.Text for obj in SearchTypes"></select>
            </div>

            <div ng-show="SearchType != 'Name'" class="place-left input-control text two-third padding-right10">
                <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="searchTerm" type="search" name="SearchTerm" ng-model="searchTerm" placeholder="{{SearchType == 'Email'? 'Email': 'Confirmation id'}}">
            </div>

            <div ng-show="SearchType == 'Name'" class="place-left input-control text two-third padding-right10">
                <div class="place-left input-control text one-half padding-right10">
                    <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="firstName" type="search" ng-model="firstName" placeholder="First name">
                </div>
                <div class="place-left input-control text one-half padding-right10">
                    <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="lastName" type="search" ng-model="lastName" placeholder="Last name">
                </div>
            </div>


        </div>
        <div class="clearfix"></div>
        <button class="button primary place-right" type="submit">Search</button>
        <button class="button link place-right on-left-more" type="button" ng-click="clearFilters()">Clear filters</button>
    </form>
    <br />
    <div class="clearfix"></div>
    <br />
    <kendo-grid id="userGrid" options="userGridOptions"></kendo-grid>
    <div class="clearfix"></div>
</div>
